Page MenuHomePhabricator

[lldb/lua] Add scripted watchpoints for Lua
ClosedPublic

Authored by siger-young on Jun 28 2021, 8:18 AM.

Details

Summary

Add support for Lua scripted watchpoints, with basic tests.

Diff Detail

Event Timeline

siger-young requested review of this revision.Jun 28 2021, 8:18 AM
siger-young created this revision.

Clang format complained a bit, please fix those.

lldb/test/Shell/ScriptInterpreter/Lua/watchpoint_callback.test
15

More tests cases would be nice

This comment was removed by siger-young.

Fix some linting and add extra tests for Lua scripted watchpoints.

tammela accepted this revision.Jul 4 2021, 4:26 PM

I tested locally and it seems fine!

Thanks.

lldb/test/Shell/ScriptInterpreter/Lua/watchpoint_callback.test
23

nit:

I think it makes more readable to change this to CHECK-COUNT-1

This revision is now accepted and ready to land.Jul 4 2021, 4:26 PM
JDevlieghere accepted this revision.Jul 6 2021, 9:57 AM

Nice! LGTM.

This revision was landed with ongoing or failed builds.Jul 7 2021, 10:51 AM
This revision was automatically updated to reflect the committed changes.